Rails.application.routes.draw do
  devise_for :users
  devise_scope :user do
  	authenticated :user do
  		resources :posts
  		root to: 'posts#index', as: :authenticated_root
  	end
  	unauthenticated :user do
  		root to: 'publics#index', as: :unauthenticated_root
  	end
  end
  root to: 'posts#index'
end